USERADD(8)

NAME
useradd - erstellt einen neuen Benutzer oder aktualisiert die Standardwerte für neue Benutzer

ÜBERSICHT

useradd [Optionen] ANMELDENAME

useradd -D

useradd -D [Optionen]

BESCHREIBUNG

Wenn der Befehl useradd ohne die Option -D aufgerufen wird, wird ein neues Benutzerkonto mit den Werten erstellt, die auf der Befehlszeile angegeben wurden, und den Standardwerten des Systems. Je nach den Optionen auf der Befehlszeile aktualisiert der Befehl useradd Systemdateien, erstellt ein Home-Verzeichnis für den neuen Benutzer und kopiert Dateien.

Standardmäßig wird auch eine Gruppe für den neuen Benutzer erstellt (vergleiche -g, -N, -U und USERGROUPS_ENAB).

OPTIONEN

Die Optionen, die vom Befehl useradd unterstützt werden, sind:

-b, --base-dirWURZEL_VERZ
    Das standardmäßige Wurzelverzeichnis des Systems, wenn nicht eines mit -dHOME_VERZ festgelegt wurde. Der Name des Home-Verzeichnisses besteht aus der Verbindung von WURZEL_VERZ und dem Kontonamen. Wenn die Option -m nicht verwendet wird, muss WURZEL_VERZ existieren.

    Falls diese Option nicht angegeben wird, verwendet useradd das Wurzelverzeichnis, das mit der Variable HOME in /etc/default/useradd festgelegt wurde, anderenfalls /home.

-c, --commentKOMMENTAR
    Eine beliebige Zeichenkette. Dies ist für gewöhnlich eine kurze Beschreibung des Logins und wird im Moment im Feld für den vollständigen Namen des Benutzers gespeichert.

-d, --homeHOME_VERZ
    Beim Anlegen des neuen Benutzers wird HOME_VERZ als das Anmeldeverzeichnis des Benutzers verwendet. Um den Namen des Anmeldeverzeichnisses zu erhalten, wird standardmäßig der ANMELDE-Name an WURZEL_VERZ angehängt. Das Verzeichnis HOME_VERZ muss nicht vorhanden sein, sondern wird gegebenenfalls angelegt.

-D, --defaults
    Lesen Sie dazu unten den Abschnitt »Die Standardwerte verändern«.

-e, --expiredateVERFALLS_DATUM
    Das Datum, an welchem das Benutzerkonto deaktiviert wird. Das Datum muss im Format JJJJ-MM-TT angegeben werden.

    Falls nicht definiert, verwendet useradd das Standardverfallsdatum, das mit der Variable EXPIRE in /etc/default/useradd bestimmt wurde, anderenfalls eine leere Zeichenkette (kein Verfall).

-f, --inactiveINAKTIV
    Die Anzahl von Tagen nach Ablaufen des Passworts bis das Konto dauerhaft deaktiviert wird. Ein Wert von 0 deaktiviert das Konto, sobald das Passwort abläuft. Ein Wert von -1 schaltet diese Funktion ab.

    Falls nicht definiert, verwendet useradd die Standarddauer der Inaktivität, die mit der Variable INACTIVE in /etc/default/useradd bestimmt wurde, anderenfalls -1.

-g, --gidGRUPPE
    Der Name oder die Nummer der anfänglichen Anmeldegruppe des Benutzers. Der Gruppenname muss existieren. Die Gruppenzahl muss auf eine bereits vorhandene Gruppe verweisen.

    Falls nicht definiert, hängt das Verhalten von useradd von der Variable USERGROUPS_ENAB in /etc/default/useradd ab. Wenn diese Variable auf yes gesetzt ist (oder auf der Befehlszeile -U/--user-group angegeben wurde), wird für den Benutzer eine Gruppe, die auf seinen Namen lautet, erstellt. Wenn die Variable auf no gesetzt ist (oder auf der Befehlszeile -N/--no-user-group angegeben wurde), legt useradd als Hauptgruppe des neuen Benutzers diejenige fest, die mit der Variable GROUP in /etc/default/useradd definiert wurde, anderenfalls 100.

-G, --groupsGRUPPE_1[,GRUPPE_2, ...[,GRUPPE_N]]]
    Eine Liste der zusätzlichen Gruppen, denen der Benutzer ebenfalls angehört. Die Gruppen sind durch Kommata ohne Leerzeichen voneinander zu trennen. Die Gruppen unterliegen denselben Beschränkungen wie die Gruppe, die mit der Option -g bestimmt wurde. Standardmäßig ist der Benutzer nur Mitglied der Ausgangsgruppe.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-k, --skelGERÜST_VERZ
    Das Gerüstverzeichnis, das die Dateien und Verzeichnisse enthält, die in das Home-Verzeichnis des Benutzers kopiert werden, wenn es von useradd erstellt wird.

    Diese Option ist nur zulässig, wenn auch die Option -m (oder --create-home) angegeben wird.

    Wenn diese Option nicht angegeben wird, wird das Gerüstverzeichnis durch die Variable SKEL in /etc/default/useradd festgelegt, anderenfalls ist dieses /etc/skel.

    Soweit möglich, werden die ACLs und erweiterten Attribute kopiert.

-K, --keySCHLÜSSEL=WERT
    Überschreibt die Standardwerte aus /etc/login.defs (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS und andere). Beispiel: -K PASS_MAX_TAGE=-1 kann eingesetzt werden, wenn ein Systemkonto erstellt wird, um den Verfall des Passworts abzuschalten, selbst wenn das Systemkonto überhaupt kein Passwort besitzt. Die Option -K kann mehrmals verwendet werden, z.B.: -K UID_MIN=100 -K UID_MAX=499

-l, --no-log-init
    Fügt den Benutzer nicht zu den Datenbanken lastlog und faillog hinzu.

    Standardmäßig werden die Benutzereinträge in den Datenbanken lastlog und faillog zurückgesetzt, um zu vermeiden, dass der Eintrag eines früher gelöschten Benutzers verwendet wird.

-m, --create-home
    Erstellt das Home-Verzeichnis des Benutzers, wenn es nicht vorhanden ist. Die Dateien und Verzeichnisse im Gerüstverzeichnis, das mit der Option -k festgelegt werden kann, werden in das Home-Verzeichnis kopiert.

    Wenn diese Option nicht angegeben wird und CREATE_HOME nicht aktiviert wurde, wird standardmäßig kein Home-Verzeichnis erstellt.

-M
    Erstellt nicht das Home-Verzeichnis des Benutzers, selbst wenn die systemweite Option CREATE_HOME in /etc/login.defs auf yes gesetzt ist.

-N, --no-user-group
    Erstellt keine Gruppe mit dem gleichen Namen wie der Benutzer, aber fügt ihn der Gruppe hinzu, die mit der Option -g oder mit der Variable GROUP in /etc/default/useradd angegeben wurde.

    Wenn die Optionen -g, -N und -U nicht angegeben werden, wird das Verhalten durch die Variable USERGROUPS_ENAB in /etc/login.defs bestimmt.

-o, --non-unique
    Erlaubt das Erstellen eines Benutzerkontos mit einer schon vergebenen (nicht eindeutigen) UID.

    Diese Option kann nur in Verbindung mit der Option -u verwendet werden.

-p, --passwordPASSWORT
    Das verschlüsselte Passwort, wie es von crypt(3) zurückgegeben wird. Standardmäßig ist das Passwort deaktiviert.

    Hinweis: Diese Option ist nicht empfehlenswert, weil das Passwort (auch wenn es verschlüsselt ist) für Benutzer sichtbar ist, die sich den Prozess anzeigen lassen.

    Sie sollten sicherstellen, dass das Passwort den Passwortrichtlinien des Systems entspricht.

-r, --system
    erstellt ein Systemkonto

    Systembenutzer werden ohne Hinterlegung ihres Alters in /etc/shadow erstellt. Ihre numerische Kennung wird aus der Spanne SYS_UID_MIN bis SYS_UID_MAX anstelle von UID_MIN bis UID_MAX gewählt (gleiches gilt für die GID bei der Erstellung von Gruppen).

    Beachten Sie, dass useradd für einen solchen Benutzer unabhängig von der Einstellung in /etc/login.defs (CREATE_HOME) kein Home-Verzeichnis erzeugen wird.

-R, --rootCHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-s, --shellSHELL
    Der Name der Anmelde-Shell des Benutzers. Standardmäßig wird dieses Feld leer gelassen. Das System verwendet dann die Standard-Anmelde-Shell, die mit der Variable SHELL in /etc/default/useradd definiert wird, anderenfalls bleibt das Feld leer.

-u, --uidUID
    Der zahlenmäßige Wert der Benutzer-ID. Dieser Wert muss eindeutig sein, sofern nicht die Option -o verwendet wird. Der Wert darf nicht negativ sein. Standardmäßig wird der kleinste Wert größer als oder gleich UID_MIN und größer als jeder andere Wert eines Benutzers verwendet.

    Vergleichen Sie auch die Option -r und die Ausführungen zu UID_MAX.

-U, --user-group
    erstellt eine Gruppe mit dem gleichen Name wie der Benutzer und fügt diesen der Gruppe hinzu

    Wenn die Optionen -g, -N und -U nicht angegeben werden, wird das Verhalten durch die Variable USERGROUPS_ENAB in /etc/login.defs bestimmt.

-Z, --selinux-userSE-BENUTZER
    Der SELinux-Benutzer für den Benutzer nach seiner Anmeldung. Standardmäßig bleibt dieses Feld leer und es wird dem System überlassen, den SELinux-Benutzer zu bestimmen.

  Die Standardwerte verändern

Wenn useradd nur mit der Option -D aufgerufen wird, werden die aktuellen Standardwerte angezeigt. Wenn useradd neben der Option -D mit weiteren Optionen aufgerufen wird, werden deren Standardwerte entsprechend angepasst. Die gültigen Optionen, um Standardwerte zu ändern, sind:

-b, --base-dirWURZEL_VERZ
    Das Wurzelverzeichnis des Home-Verzeichnisses eines neuen Benutzers. Der Benutzername wird an WURZEL_VERZ angehängt, um den Namen des Home-Verzeichnisses zu erhalten, falls nicht die Option -d bei der Erstellung eines neuen Kontos verwendet wird.

    Diese Option verändert die Variable HOME in /etc/default/useradd.

-e, --expiredateVERFALLS_DATUM
    das Datum, an dem das Benutzerkonto abgeschaltet wird

    Diese Option verändert die Variable EXPIRE in /etc/default/useradd.

-f, --inactiveINAKTIV
    die Anzahl von Tagen nach dem Ablaufen des Passworts bis das Konto deaktiviert wird

    Diese Option verändert die Variable INACTIVE in /etc/default/useradd.

-g, --gidGRUPPE
    Der Gruppenname oder die GID für die Anfangsgruppe eines neuen Benutzers (wenn -N/--no-user-group verwendet wird oder wenn in /etc/login.defs die Variable USERGROUPS_ENAB auf no gesetzt ist). Die bezeichnete Gruppe und die GID müssen existieren.

    Diese Option verändert die Variable GROUP in /etc/default/useradd.

-s, --shellSHELL
    der Name der Anmelde-Shell des neuen Benutzers

    Diese Option verändert die Variable SHELL in /etc/default/useradd.

ANMERKUNGEN

Der Systemadministrator ist dafür verantwortlich, die standardmäßigen Benutzerdateien im Verzeichnis /etc/skel/ (oder in einem anderen Gerüstverzeichnis, das in /etc/default/useradd oder über die Befehlszeile definiert wurde), anzulegen.

WARNUNGEN

Sie dürfen einen Benutzer nicht einer NIS- oder LDAP-Gruppe hinzufügen. Dies muss auf dem entsprechenden Server durchgeführt werden.

Ebenso wird useradd ablehnen, ein neues Benutzerkonto zu erstellen, wenn der Benutzername schon in einer externen Benutzerdatenbank wie z.B. NIS oder LDAP vorhanden ist.

Benutzernamen müssen mit einem Kleinbuchstaben oder einem Unterstrich beginnen. Sie dürfen nur Kleinbuchstaben, Zahlen, Unterstriche oder Gedankenstriche enthalten. Sie können mit einem Dollarzeichen enden. Als regulärer Ausdruck: [a-z_][a-z0-9_-]*[$]?

Benutzernamen dürfen nur bis zu 32 Zeichen lang sein.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

CREATE_HOME (boolesch)
    bestimmt, ob standardmäßig ein Home-Verzeichnis für neue Benutzer erstellt werden soll

    Diese Einstellung trifft nicht auf Systembenutzer zu. Sie kann auf der Befehlszeile überschrieben werden.

GID_MAX (Zahl), GID_MIN (Zahl)
    der Bereich von Gruppen-IDs, aus dem die Programme useradd, groupadd oder newusers bei der Erstellung normaler Gruppen auswählen dürfen

    Der Standardwert für GID_MIN ist 1000, für GID_MAX 60.000.

MAIL_DIR (Zeichenkette)
    Das Verzeichnis des Mail-Spools. Diese Angabe wird benötigt, um die Mailbox zu bearbeiten, nachdem das entsprechende Benutzerkonto verändert oder gelöscht wurde. Falls nicht angegeben, wird ein Standard verwendet, der beim Kompilieren festgelegt wurde.

MAIL_FILE (Zeichenkette)
    Legt den Ort der Mail-Spool-Dateien eines Benutzers relativ zu seinem Home-Verzeichnis fest.

Die Variablen MAIL_DIR und MAIL_FILE werden von useradd, usermod und userdel verwendet, um den Mail-Spool eines Benutzers zu erstellen, zu verschieben oder zu löschen.

Falls MAIL_CHECK_ENAB auf yes gesetzt ist, werden sie auch verwendet, um die Umgebungsvariable MAIL festzulegen.

MAX_MEMBERS_PER_GROUP (Zahl)
    Maximale Anzahl von Mitgliedern je Gruppeneintrag. Wenn das Maximum erreicht wird, wird ein weiterer Eintrag in /etc/group (mit dem gleichen Namen, dem gleichen Passwort und der gleichen GID) erstellt.

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

PASS_MAX_DAYS (Zahl)
    Die maximale Anzahl von Tagen, für die ein Passwort verwendet werden darf. Wenn das Passwort älter ist, wird ein Wechsel des Passworts erzwungen. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_MIN_DAYS (Zahl)
    Die Mindestanzahl von Tagen, bevor ein Wechsel des Passworts zugelassen wird. Ein vorheriger Versuch, das Passwort zu ändern, wird abgelehnt. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_WARN_AGE (Zahl)
    Die Anzahl von Tagen, an denen der Benutzer vorgewarnt wird, bevor das Passwort verfällt. Eine Null bedeutet, dass eine Warnung nur am Tag des Verfalls ausgegeben wird. Ein negativer Wert bedeutet, dass keine Vorwarnung erfolgt. Falls nicht angegeben, wird keine Vorwarnung ausgegeben.

SYS_GID_MAX (Zahl), SYS_GID_MIN (Zahl)
    der Bereich von Gruppen-IDs, aus dem die Programme useradd, groupadd oder newusers bei der Erstellung von Systemgruppen auswählen dürfen

    Der Standardwert für SYS_GID_MIN ist 101, für SYS_GID_MAX GID_MIN-1.

SYS_UID_MAX (Zahl), SYS_UID_MIN (Zahl)
    der Bereich von Benutzer-IDs, aus dem die Programme useradd oder newusers bei der Erstellung von Systembenutzern auswählen dürfen

    Der Standardwert für SYS_UID_MIN ist 101, für SYS_UID_MAX UID_MIN-1.

UID_MAX (Zahl), UID_MIN (Zahl)
    der Bereich von Benutzer-IDs, aus dem die Programme useradd oder newusers bei der Erstellung normaler Benutzer auswählen dürfen

    Der Standardwert für UID_MIN ist 1000, für UID_MAX 60.000.

UMASK (Zahl)
    Die Bit-Gruppe, welche die Rechte von erstellten Dateien bestimmt, wird anfänglich auf diesen Wert gesetzt. Falls nicht angegeben, wird sie auf 022 gesetzt.

    useradd und newusers verwenden diese Bit-Gruppe, um die Rechte des von ihnen erstellten Home-Verzeichnisses zu setzen.

    Sie wird auch von login verwendet, um die anfängliche Umask eines Benutzers zu bestimmen. Beachten Sie, dass diese Bit-Gruppe durch die GECOS-Zeile des Benutzers (wenn QUOTAS_ENAB gesetzt wurde) oder die Festlegung eines Limits in limits(5) mit der Kennung K überschrieben werden kann.

USERGROUPS_ENAB (boolesch)
    Erlaubt Benutzern, die nicht Root sind, die Umask-Gruppen-Bits auf ihre Umask-Bits zu setzen (Beispiel: 022 -> 002, 077 -> 007), falls die UID mit der GID identisch ist sowie der Benutzername mit dem Gruppennamen übereinstimmt.

    Wenn der Wert yes ist, wird userdel die Gruppe des Benutzers entfernen, falls sie keine Mitglieder mehr hat, und useradd wird standardmäßig eine Gruppe mit dem Namen des Benutzers erstellen.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

/etc/default/useradd
    Standardwerte für die Erstellung eines Kontos

/etc/skel/
    Verzeichnis, das die Standarddateien enthält

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

RÜCKGABEWERTE

Der Befehl useradd gibt beim Beenden folgende Werte zurück:

0
    Erfolg

1
    Die Passwortdatei kann nicht aktualisieren werden.

2
    unzulässige Syntax für diesen Befehl

3
    ungültiges Argument für Option

4
    UID ist schon vergeben (und kein -o)

6
    angegebene Gruppe ist nicht vorhanden

9
    Benutzername ist schon vergeben

10
    Die Gruppendatei kann nicht aktualisieren werden.

12
    Home-Verzeichnis kann nicht erstellt werden.

14
    can't update SELinux user mapping

SIEHE AUCH

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), userdel(8), usermod(8).